server:
  port: 8080

spring:
  application:
    name: gateway
  main:
    web-application-type: reactive  # Set the application type to reactive

  cloud:
    gateway:
      routes:
        - id: server
          uri: http://localhost:8081
          predicates:
            - Path=/api/**
          filters:
            - StripPrefix=1